1. ayanami
  2. Misato

Commits

Mark Vasilkov  committed 5be72e1

Saga and coverage.sh

  • Participants
  • Parent commits cd4b811
  • Branches default

Comments (0)

Files changed (4)

File bin/coverage.sh

View file
+#!/bin/bash
+set -e
+
+java -jar lib/saga/saga-cli.jar -b . -i test.html -o /tmp
+open /tmp/total-report.html
+rm -f /tmp/total-coverage.dat

File bin/download.sh

View file
+#!/bin/bash
+set -e
+
+mkdir -p _dl
+cd _dl
+
+version='1.2.3'
+zip="saga-cli-${version}.zip"
+jar="saga-cli-${version}-jar-with-dependencies.jar"
+
+wget "http://saga-javascript-coverage.googlecode.com/files/$zip"
+unzip "$zip"
+
+cd ..
+mkdir -p lib/saga
+mv "_dl/$jar" lib/saga/saga-cli.jar
+
+rm -r _dl

File lib/misato/class.js

View file
 				fnTest.test(obj[name])?
 				(function(name, fn) {
 					return function() {
-						var saved = this._super
-
 						this._super = _super[name]
 						var retval = fn.apply(this, arguments)
-						if (typeof saved == 'undefined')
-							delete this._super
-						else this._super = saved
-
+						delete this._super
 						return retval
 					}
 				})(name, obj[name]):

File lib/saga/saga-cli.jar

Binary file added.